WordPress.org

Forums

The plugin does not have a valid header. (9 posts)

  1. kloy
    Member
    Posted 5 years ago #

    when I try to install a plug-in I'm getting this error

    "The plugin does not have a valid header."

  2. ballinascreen
    Member
    Posted 5 years ago #

    Probably would help to specify:

    (a) the plugin name and version
    (b) what version of WordPress you're using
    (c) any other pertinent information about your WordPress environment - OS, PHP version, web server...

    For what its worth, a simple Google on your subject title throws up quite a few articles on the issue (not necessarily solutions). Probably stating the obvious here - but have you looked at the header of the plugin in question - and is it actually valid?

  3. simmo66
    Member
    Posted 5 years ago #

    Hi ballinascreen,

    I have the same problem if you can help please, details are
    Wordpress 2.9

    plugin details:

    <?php
    /*****
    Plugin Name: RAP Bank
    Plugin URI: http://rapbank.com
    Description: [rapbank] shortcode for in-post and sidebar product listings
    Author: rapbank.com
    Version: 1.1
    Author URI: http://rapbank.com
    *****/

    require_once( 'rapbank-core.php' );

    ?>

  4. lai24luv
    Member
    Posted 4 years ago #

    Has anyone found a solution to this problem, because I am having the same problem, only after I did an automatic update? Any help would be greatly appreciated.

  5. roohit
    Member
    Posted 4 years ago #

    I too am facing this problem:

    /*
    Plugin Name: Rooh.It Highlighter, AutoPublisher, and AutoTweeter
    Plugin URI: http://roohit.com/site/wpPlugins.php
    Description: Add a Highlighter: Saves, Shares, Cites, Distributes, Posts, Publishes & Generates links to your site.
    Version: 6.0.1
    Author: Rooh.It
    Author URI: http://roohit.com
    */

    WordPress 3.0.1

  6. roohit
    Member
    Posted 4 years ago #

    I saw one suggested work-around, don't know yet if it works. FYI.

    http://rooh.it/b2f75

  7. roohit
    Member
    Posted 4 years ago #

    Thanks but I managed to fix it :D

  8. baljeets91
    Member
    Posted 4 years ago #

    Looks like this error is very common, but the mistake I was doing is funny. I was installing a theme in plugins. :)

    The plugin (oh sorry the Theme) is installed here
    Mortgage refinancing rates

  9. baljeets91
    Member
    Posted 4 years ago #

    It happens due to duplicate copy of a folder inside a folder. It happens when you unzip a folder. like /wordpress/wordpress/...

    make sure that you keep on level only.
    Thanks
    Anil
    Mortgage calculator with taxes and insurance and pmi

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.